Skip to main content
Download an XAI map

Authorizations

X-Api-Key
string
header
required

Your API key.

Path Parameters

identifier
string
required

The identifier of the image, or of the video frame.

Query Parameters

model
string
required

The name of the model that produced the map, as reported in the model field of the per-model results (e.g. Revelio).

method
enum<string>
required

The XAI method used to compute the map.

Available options:
legrad,
transformer_attribution,
attention_rollout
type
enum<string>
default:attention_map

The map to download: attention_map (overlaid on the original content) or attention_graph (trend and peaks of the attention of the model).

Available options:
attention_map,
attention_graph

Response

The XAI map, as an image.

The response is of type file.